lwIP 2.1.2 Lightweight IP stack

Macros | Typedefs | Enumerations | Functions
http_client.h File Reference
`#include "lwip/opt.h"`
`#include "lwip/ip_addr.h"`
`#include "lwip/err.h"`
`#include "lwip/altcp.h"`
`#include "lwip/prot/iana.h"`
`#include "lwip/pbuf.h"`

## Macros
#define | LWIP_HTTPC_HAVE_FILE_IO 0
#define | HTTP_DEFAULT_PORT LWIP_IANA_PORT_HTTP

## Typedefs
typedef enum ehttpc_result | httpc_result_t
typedef void(* | httpc_result_fn) (void *arg, httpc_result_t httpc_result, u32_t rx_content_len, u32_t srv_res, err_t err)
typedef err_t(* | httpc_headers_done_fn) (httpc_state_t *connection, void *arg, struct pbuf *hdr, u16_t hdr_len, u32_t content_len)

## Enumerations
enum | ehttpc_result { HTTPC_RESULT_OK = 0, HTTPC_RESULT_ERR_UNKNOWN = 1, HTTPC_RESULT_ERR_CONNECT = 2, HTTPC_RESULT_ERR_HOSTNAME = 3, HTTPC_RESULT_ERR_CLOSED = 4, HTTPC_RESULT_ERR_TIMEOUT = 5, HTTPC_RESULT_ERR_SVR_RESP = 6, HTTPC_RESULT_ERR_MEM = 7, HTTPC_RESULT_LOCAL_ABORT = 8, HTTPC_RESULT_ERR_CONTENT_LEN = 9 }

## Functions
err_t | httpc_get_file (const ip_addr_t *server_addr, u16_t port, const char *uri, const httpc_connection_t *settings, altcp_recv_fn recv_fn, void *callback_arg, httpc_state_t **connection)
err_t | httpc_get_file_dns (const char *server_name, u16_t port, const char *uri, const httpc_connection_t *settings, altcp_recv_fn recv_fn, void *callback_arg, httpc_state_t **connection)

## Detailed Description

HTTP client